#!/bin/bash



ADCLI_VERSION=$(rmadison adcli --architecture=amd64 -s stretch| cut -d\| -f2 | sed s"/ //g" | sed s"/\-.*$//g")

echo "deb-src http://ftp.halifax.rwth-aachen.de/debian/ stretch main" > /etc/apt/sources.list.d/stretch_src.list

apt-get update
apt-get source --only-source adcli
TARGET_DIR=adcli-$ADCLI_VERSION

cd ${TARGET_DIR}/debian

for patch in ../../patches/adcli/*.patch ; do
    quilt import $patch
done 

cd ..

debchange --preserve --newversion ${ADCLI_VERSION}-fsmpi "Apply the unreleased upstream-patches, fixing RT#100"

apt-get build-dep -y adcli

fakeroot debian/rules binary
debuild -b -uc -us

cd ..
mkdir debug packages
mv *dbgsym* debug
mv *.deb packages


