#!/bin/bash



GANETI_VERSION=$(rmadison ganeti -s stretch| cut -d\| -f2 | sed s"/ //g" | sed s"/\-.*$//g")

echo "deb-src http://ftp.halifax.rwth-aachen.de/debian/ stretch main" > /etc/apt/sources.list.d/stretch_src.list

apt-get update
apt-get source --only-source ganeti
TARGET_DIR=ganeti-$GANETI_VERSION

cd ${TARGET_DIR}/debian

for patch in ../../patches/ganeti/*.patch ; do
    quilt import $patch
done 

cd ..


function dch() {
    debchange --preserve --newversion ${GANETI_VERSION}-fsmpi $1
}

dch "Fix broken ceph support in bdev.py, see GitHub #1233." 
dch "Remove blockdev storage from the movable and mirrored devices lists."
dch "Increase maximum disk count per instance."
dch "Add support for disk cache usage with rbd devices."

apt-get build-dep -y ganeti

fakeroot debian/rules binary
debuild -b -uc -us

cd ..
mkdir debug packages
mv *dbgsym* debug
mv *.deb packages


