#!/bin/bash


git clone https://github.com/grml/grml-etc-core grml-zsh-config
cd grml-zsh-config
git tag --sort "version:refname" -l | tail -n1 | xargs git checkout

GRML_ZSH_CONFIG_VERSION=$(git tag --sort "version:refname" -l | tail -n1 | sed s/v//)

for patch in ../patches/grml-zsh-config/*.patch ; do
	patch -p1 < ${patch}
done 

sed -i s/grml-etc-core/grml-zsh-config/g debian/changelog

debchange --preserve --newversion ${GRML_ZSH_CONFIG_VERSION}-fsmpi "Remove unneeded grml-configs"

apt-get install -y txt2tags debhelper

fakeroot debian/rules binary
debuild -b -uc -us

cd ..
mkdir packages
mv *.deb packages


