#!/bin/bash



NGINX_VERSION=$(rmadison nginx -s stretch| cut -d\| -f2 | sed s"/ //g" | sed s"/\-.*$//g")

echo "deb-src http://ftp.halifax.rwth-aachen.de/debian/ stretch main" > /etc/apt/sources.list.d/stretch_src.list

apt-get update
apt-get source --only-source nginx
TARGET_DIR=nginx-$NGINX_VERSION

cd ${TARGET_DIR}/debian/modules

git clone "https://github.com/nginx-shib/nginx-http-shibboleth.git"

cd ..
cp libnginx-mod.nginx.skeleton libnginx-mod-http-shibboleth.nginx

cd ..

patch -d . -p0 < ../patches/nginx/00-add-module.patch

debchange --preserve --newversion ${NGINX_VERSION}-fsmpi "Add libnginx-mod-http-shibboleth"

apt-get build-dep -y nginx

fakeroot debian/rules binary
debuild -b -uc -us

cd ..
mkdir debug packages
mv *dbgsym* debug
mv *.deb packages


